# CppProject

interface CppProject : ProjectModel

Details about the C++ components of a Gradle project.

#### Since

4.10

## Functions

getMainComponent
Link copied to clipboard
@Nullable
abstract fun getMainComponent(): @Nullable CppComponent
Returns the main C++ component of this project, if any.
getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
getTestComponent
Link copied to clipboard
@Nullable
abstract fun getTestComponent(): @Nullable CppTestSuite
Returns the C++ unit test suite of this project, if any.